// TestCpp20_main.cpp
// (c) 2023, Garth Santor
// Confirms that Visual C++ has installed C++ 20 compatibility

#include <iostream>

int main()
{
    std::cout << "Hello, C++ 20!\n\n";

#if __cpp_constinit
    std::cout << "Has C++ 20's constinit feature.\n";
    std::cout << "C++ 20 capable!\n";
#else
    std::cout << "Doesn't have C++ 20's constinit feature.\n";
    std::cout << "NOT C++ 20 capable!\n";
#endif
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu
